using System;

namespace DualScreenDemo
{
    [AttributeUsage(AttributeTargets.Field)]
    public class LocalizedDescriptionAttribute : Attribute
    {
        public string Traditional { get; }
        public string Simplified { get; }

        public LocalizedDescriptionAttribute(string traditional, string simplified)
        {
            Traditional = traditional;
            Simplified = simplified;
        }
    }
}
