using OverlayFormObj;

namespace DualScreenDemo
{
    public class Room
    {
        private static string State=Utils.Env.Get("RoomStates", "CLOSE");
        public Room(){}
        public static void set(string value)
        {
            string marqueeMessage = "歡迎使用超級巨星歡唱，與你共度美好時光。";
            Color c = Color.White;
            State = value;
            if (value.Equals("PAUSE"))
            {
                PrimaryForm.Instance.ShowSendOffScreen();
                VideoPlayerForm.Instance.Pause();
                marqueeMessage = "發生火災，請跟隨引導至逃生出口!!!";
                c = Color.Red;
            }
            else if (value.Equals("OPEN"))
            {
                DBObj.SongList.clearSong();
                PrimaryForm.Instance.HotPlayButton_Click(null, EventArgs.Empty);
                PrimaryForm.Instance.HideSendOffScreen();
            }
            else
            {
                DBObj.SongList.clearSong();
                PrimaryForm.Instance.pictureBoxQRCode.Visible = false;
                PrimaryForm.Instance.closeQRCodeButton.Visible = false;
                PrimaryForm.Instance.ShowSendOffScreen();


                OverlayForm.MainForm.topLeftLabel.Visible = false;

                VideoPlayerForm.Instance.PlayNextSong();
                PrimaryForm.Instance.logout();
                
            }
            
            OverlayForm.MainForm.UpdateMarqueeText(marqueeMessage, OverlayForm.MarqueeStartPosition.Middle, c);
            
        }
        public static bool IsClose()
        {
            return State.Equals("CLOSE");
        }
        public static bool IsOpen()
        {
            return State.Equals("OPEN");
        }
        
    }
    
    
    
    
    
}